This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280254 - The first time a user login will always fail when try to login through Active Directory User even that user group is mapped.
The first time a user login will always fail when try to login through Active...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: LDAP (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 05:47 EST by DipenDevra
Modified: 2017-07-10 14:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 14:31:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 7369 None None None 2017-04-12 04:55 EDT

  None (edit)
Description DipenDevra 2015-11-11 05:47:51 EST
Description of problem:-

The first time a user login will always fail when try to login through Active Directory User even that user group is mapped.

Version-Release number of selected component (if applicable):


How reproducible: Always for first time after configuring User group for Active directory authentication in satellite


Steps to Reproduce:
1). Configure Active directory User group successfully.

2). Now try to login to Satellite through Active directory user.

3). It will fail for first time, however after sometime, it will login without any issues.

4). Following command is required to run after configuring any new AD user for successful login:-

---
foreman-rake ldap:refresh_usergroups
---

It is not practical in a production environment. Alternatively, user can wait for up to 30 minutes for the cron job kicking in, which is both inconvenient and confusing.


Actual results:- Fails when try to login for first time.


Expected results: Should Login immediately after configuring new user/group.


Additional info:
Comment 3 Bryan Kearney 2016-07-08 16:22:30 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 6 Marek Hulan 2017-04-12 04:55:56 EDT
I believe this has been fixed in Satellite 6.2, external user groups are refreshed on login.
Comment 8 Bryan Kearney 2017-07-10 14:31:10 EDT
This was delivered in 6.2. Closing this out as Current Release.

Note You need to log in before you can comment on or make changes to this bug.